## fastfetch 2.34.1-1~guideos1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url

project(fastfetch
    VERSION 2.34.1
    LANGUAGES C
    DESCRIPTION "Fast neofetch-like system information tool"
    HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
)

set(PROJECT_LICENSE "MIT license")

###################
# Target Platform #
###################
if(ANDROID)
    set(LINUX FALSE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    set(LINUX TRUE CACHE BOOL "..." FORCE) # LINUX means GNU/Linux, not just the kernel
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "OpenBSD")
    set(OpenBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "MidnightBSD")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
    set(MidnightBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "NetBSD")
    set(NetBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "DragonFly")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
    set(DragonFly TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "SunOS")
    set(SunOS TRUE CACHE BOOL "..." FORCE)
elseif(NOT APPLE AND NOT WIN32)
    message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_NAME}")
endif()

#############################
# Compile time dependencies #
#############################

set(THREADS_PREFER_PTHREAD_FLAG NOT WIN32)
find_package(Threads)

find_package(PkgConfig)
if(NOT PKG_CONFIG_FOUND)
    message(WARNING "pkg-config not found, library detection might be limited")
endif()

include(CheckIncludeFile)

#####################
# Configure options #
#####################

include(CMakeDependentOption)

cmake_dependent_option(ENABLE_VULKAN "Enable vulkan" ON "LINUX OR APPLE OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS" OFF)
cmake_dependent_option(ENABLE_WAYLAND "Enable wayland-client" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD" OFF)
cmake_dependent_option(ENABLE_XCB_RANDR "Enable xcb-randr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_XRANDR "Enable xrandr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DRM "Enable libdrm" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_GIO "Enable gio-2.0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DCONF "Enable dconf" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DBUS "Enable dbus-1" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_XFCONF "Enable libxfconf-0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_SQLITE3 "Enable sqlite3" ON "LINUX OR FreeBSD OR APPLE OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_RPM "Enable rpm" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_IMAGEMAGICK7 "Enable imagemagick 7" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR WIN32 OR SunOS" OFF)
cmake_dependent_option(ENABLE_IMAGEMAGICK6 "Enable imagemagick 6" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR SunOS" OFF)
cmake_dependent_option(ENABLE_CHAFA "Enable chafa" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
cmake_dependent_option(ENABLE_ZLIB "Enable zlib" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
cmake_dependent_option(ENABLE_EGL "Enable egl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR WIN32 OR SunOS" OFF)
cmake_dependent_option(ENABLE_GLX "Enable glx" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR ANDROID OR SunOS" OFF)
cmake_dependent_option(ENABLE_OSMESA "Enable osmesa" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_OPENCL "Enable opencl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS" OFF)
cmake_dependent_option(ENABLE_FREETYPE "Enable freetype" ON "ANDROID" OFF)
cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DDCUTIL "Enable ddcutil" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_DIRECTX_HEADERS "Enable DirectX headers for WSL" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly" OFF)
cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD OR SunOS" OFF)

option(ENABLE_SYSTEM_YYJSON "Use system provided (instead of fastfetch embedded) yyjson library" OFF)
option(ENABLE_ASAN "Build fastfetch with ASAN (address sanitizer)" OFF)
option(ENABLE_LTO "Enable link-time optimization in release mode if supported" ON)
option(BUILD_FLASHFETCH "Build flashfetch" ON) # Also build the flashfetch binary
option(BUILD_TESTS "Build tests" OFF) # Also create test executables
option(SET_TWEAK "Add tweak to project version" ON) # This is set to off by github actions for release builds
option(IS_MUSL "Build with musl libc" OFF) # Used by Github Actions
option(INSTALL_LICENSE "Install license into /usr/share/licenses" ON)
option(ENABLE_EMBEDDED_PCIIDS "Embed pci.ids into fastfetch, requires `python`" OFF)

set(BINARY_LINK_TYPE_OPTIONS dlopen dynamic static)
set(BINARY_LINK_TYPE dlopen CACHE STRING "How to link fastfetch")
set_property(CACHE BINARY_LINK_TYPE PROPERTY STRINGS ${BINARY_LINK_TYPE_OPTIONS})
if(NOT BINARY_LINK_TYPE IN_LIST BINARY_LINK_TYPE_OPTIONS)
    message(FATAL_ERROR "BINARY_LINK_TYPE must be one of ${BINARY_LINK_TYPE_OPTIONS}")
endif()

set(PACKAGE_MANAGERS AM APK BREW CHOCO DPKG EMERGE EOPKG FLATPAK GUIX LINGLONG LPKG LPKGBUILD MACPORTS NIX OPKG PACMAN PACSTALL PALUDIS PKG PKGTOOL RPM SCOOP SNAP SORCERY WINGET XBPS)
foreach(package_manager ${PACKAGE_MANAGERS})
    if(package_manager STREQUAL "WINGET")
        option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" ON)
    else()
        option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" OFF)
    endif()
endforeach()

if (LINUX)
    set(CUSTOM_PCI_IDS_PATH "" CACHE STRING "Custom path to file pci.ids, defaults to `/usr/share/hwdata/pci.ids`")
    set(CUSTOM_AMDGPU_IDS_PATH "" CACHE STRING "Custom path to file amdgpu.ids, defaults to `/usr/share/libdrm/amdgpu.ids`")
    set(CUSTOM_OS_RELEASE_PATH "" CACHE STRING "Custom path to file os-release, defaults to `/etc/os-release`")
endif()

####################
# Compiler options #
####################

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
if(ENABLE_THREADS)
    if(CMAKE_USE_WIN32_THREADS_INIT)
        message(STATUS "Threads type: Win32 thread")
    elseif(CMAKE_USE_PTHREADS_INIT)
        message(STATUS "Threads type: pthread")
    endif()
else()
    message(STATUS "Threads type: disabled")
endif()

set(WARNING_FLAGS "-Wall -Wextra -Wconversion -Werror=uninitialized -Werror=return-type -Werror=vla")

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} -Werror=incompatible-pointer-types -Werror=implicit-function-declaration -Werror=int-conversion")

if(WIN32 OR ENABLE_DIRECTX_HEADERS)
    enable_language(CXX)
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS}")
endif()

if(WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--tsaware -Wl,--build-id -Wl,--subsystem,console:6.1,--major-os-version,6,--minor-os-version,1")
elseif(APPLE AND CMAKE_C_COMPILER_ID MATCHES "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fobjc-arc")
endif()

set(FASTFETCH_FLAGS_DEBUG "-fno-omit-frame-pointer")
if(ENABLE_ASAN)
    message(STATUS "Address sanitizer enabled (DEBUG only)")
    set(FASTFETCH_FLAGS_DEBUG "${FASTFETCH_FLAGS_DEBUG} -fsanitize=address")
endif()
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${FASTFETCH_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} ${FASTFETCH_FLAGS_DEBUG} -fstack-protector-all -fno-delete-null-pointer-checks")
if(NOT WIN32)
    set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -rdynamic")
endif()

if(ENABLE_LTO AND NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Enabling LTO")
    include(CheckIPOSupported)
    check_ipo_supported(RESULT IPO_SUPPORTED)
    if(IPO_SUPPORTED)
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
    endif()
endif()

#######################
# Target FS structure #
#######################

if(NOT TARGET_DIR_ROOT)
    if(NOT ANDROID)
        set(TARGET_DIR_ROOT "")
    else()
        set(TARGET_DIR_ROOT "/data/data/com.termux/files/usr")
    endif()
endif()

if(NOT TARGET_DIR_USR)
    if(NOT ANDROID)
        set(TARGET_DIR_USR "${TARGET_DIR_ROOT}/usr")
    else()
        set(TARGET_DIR_USR "${TARGET_DIR_ROOT}")
    endif()
endif()

if(NOT TARGET_DIR_HOME)
    if(APPLE)
        set(TARGET_DIR_HOME "${TARGET_DIR_ROOT}/Users")
    elseif(ANDROID)
        set(TARGET_DIR_HOME "/data/data/com.termux/files/home")
    else()
        set(TARGET_DIR_HOME "${TARGET_DIR_ROOT}/home")
    endif()
endif()

if(NOT TARGET_DIR_ETC)
    set(TARGET_DIR_ETC "${TARGET_DIR_ROOT}/etc")
endif()

message(STATUS "Target dirs: ROOT=\"${TARGET_DIR_ROOT}\" USR=\"${TARGET_DIR_USR}\" HOME=\"${TARGET_DIR_HOME}\" ETC=\"${TARGET_DIR_ETC}\"")

#https://cmake.org/cmake/help/latest/variable/CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT.html
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "${TARGET_DIR_USR}" CACHE PATH "..." FORCE)
endif()

if(NOT CMAKE_INSTALL_SYSCONFDIR)
    set(CMAKE_INSTALL_SYSCONFDIR "${TARGET_DIR_ETC}" CACHE PATH "..." FORCE)
endif()

#################
# Tweak version #
#################

if (SET_TWEAK AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
    execute_process(
        COMMAND git describe --tags
        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
        OUTPUT_VARIABLE PROJECT_VERSION_GIT
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    string(REGEX MATCH "-[0-9]+" PROJECT_VERSION_TWEAK "${PROJECT_VERSION_GIT}")
endif()
if(PROJECT_VERSION_TWEAK)
    string(REGEX MATCH "[0-9]+" PROJECT_VERSION_TWEAK_NUM "${PROJECT_VERSION_TWEAK}")
else()
    set(PROJECT_VERSION_TWEAK_NUM 0)
endif()

#############
# Text data #
#############

function(fastfetch_encode_c_string STR OUTVAR)
    string(REGEX REPLACE "\n$" "" TEMP "${STR}")  # Remove trailing newline
    string(REPLACE "\\" "\\\\" TEMP "${TEMP}")    # Escape backslashes
    string(REPLACE "\n" "\\n" TEMP "${TEMP}")     # Replace newlines with \n
    string(REPLACE "\"" "\\\"" TEMP "${TEMP}")    # Replace quotes with \"
    set(${OUTVAR} "\"${TEMP}\"" PARENT_SCOPE)
endfunction(fastfetch_encode_c_string)

function(fastfetch_load_text FILENAME OUTVAR)
    file(READ "${FILENAME}" TEMP)
    fastfetch_encode_c_string("${TEMP}" TEMP)
    set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
endfunction(fastfetch_load_text)

find_package(Python)
if(Python_FOUND)
    message(STATUS "Minifying 'help.json'")
    execute_process(COMMAND ${Python_EXECUTABLE} -c "import json,sys;json.dump(json.load(sys.stdin),sys.stdout,separators=(',',':'))"
                    INPUT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/src/data/help.json"
                    OUTPUT_VARIABLE DATATEXT_JSON_HELP)
    if(DATATEXT_JSON_HELP STREQUAL "")
        message(ERROR "DATATEXT_JSON_HELP is empty, which should not happen!")
    endif()
else()
    message(WARNING "Python3 is not found, 'help.json' will not be minified")
    file(READ "src/data/help.json" DATATEXT_JSON_HELP)
endif()

if(ENABLE_EMBEDDED_PCIIDS AND NOT EXISTS "${PROJECT_BINARY_DIR}/fastfetch_pciids.c.inc")
    if(Python_FOUND)
        message(STATUS "Generating 'fastfetch_pciids.c.inc'")

=== build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/schnitzel/ff/fastfetch-2.34.1

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/schnitzel/ff/fastfetch-2.34.1/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/schnitzel/ff/fastfetch-2.34.1/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles /home/schnitzel/ff/fastfetch-2.34.1/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named libfastfetch

# Build rule for target.
libfastfetch: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libfastfetch
.PHONY : libfastfetch

# fast build rule for target.
libfastfetch/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/build
.PHONY : libfastfetch/fast

#=============================================================================
# Target rules for targets named fastfetch

# Build rule for target.
fastfetch: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 fastfetch
.PHONY : fastfetch

# fast build rule for target.
fastfetch/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/fastfetch.dir/build.make CMakeFiles/fastfetch.dir/build
.PHONY : fastfetch/fast

#=============================================================================
# Target rules for targets named flashfetch

# Build rule for target.
flashfetch: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flashfetch
.PHONY : flashfetch

# fast build rule for target.
flashfetch/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/flashfetch.dir/build.make CMakeFiles/flashfetch.dir/build
.PHONY : flashfetch/fast

src/3rdparty/yyjson/yyjson.o: src/3rdparty/yyjson/yyjson.c.o
.PHONY : src/3rdparty/yyjson/yyjson.o

# target to build an object file
src/3rdparty/yyjson/yyjson.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/3rdparty/yyjson/yyjson.c.o
.PHONY : src/3rdparty/yyjson/yyjson.c.o

src/3rdparty/yyjson/yyjson.i: src/3rdparty/yyjson/yyjson.c.i
.PHONY : src/3rdparty/yyjson/yyjson.i

# target to preprocess a source file
src/3rdparty/yyjson/yyjson.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/3rdparty/yyjson/yyjson.c.i
.PHONY : src/3rdparty/yyjson/yyjson.c.i

src/3rdparty/yyjson/yyjson.s: src/3rdparty/yyjson/yyjson.c.s
.PHONY : src/3rdparty/yyjson/yyjson.s

# target to generate assembly for a file
src/3rdparty/yyjson/yyjson.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/3rdparty/yyjson/yyjson.c.s
.PHONY : src/3rdparty/yyjson/yyjson.c.s

src/common/commandoption.o: src/common/commandoption.c.o
.PHONY : src/common/commandoption.o

# target to build an object file
src/common/commandoption.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/commandoption.c.o
.PHONY : src/common/commandoption.c.o

src/common/commandoption.i: src/common/commandoption.c.i
.PHONY : src/common/commandoption.i

# target to preprocess a source file
src/common/commandoption.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/commandoption.c.i
.PHONY : src/common/commandoption.c.i

src/common/commandoption.s: src/common/commandoption.c.s
.PHONY : src/common/commandoption.s

# target to generate assembly for a file
src/common/commandoption.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/commandoption.c.s
.PHONY : src/common/commandoption.c.s

src/common/dbus.o: src/common/dbus.c.o
.PHONY : src/common/dbus.o

# target to build an object file
src/common/dbus.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/dbus.c.o
.PHONY : src/common/dbus.c.o

src/common/dbus.i: src/common/dbus.c.i
.PHONY : src/common/dbus.i

# target to preprocess a source file
src/common/dbus.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/dbus.c.i
.PHONY : src/common/dbus.c.i

src/common/dbus.s: src/common/dbus.c.s
.PHONY : src/common/dbus.s

# target to generate assembly for a file
src/common/dbus.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/dbus.c.s
.PHONY : src/common/dbus.c.s

src/common/font.o: src/common/font.c.o
.PHONY : src/common/font.o

# target to build an object file
src/common/font.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/font.c.o
.PHONY : src/common/font.c.o

src/common/font.i: src/common/font.c.i
.PHONY : src/common/font.i

# target to preprocess a source file
src/common/font.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/font.c.i
.PHONY : src/common/font.c.i

src/common/font.s: src/common/font.c.s
.PHONY : src/common/font.s

# target to generate assembly for a file
src/common/font.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/font.c.s
.PHONY : src/common/font.c.s

src/common/format.o: src/common/format.c.o
.PHONY : src/common/format.o

# target to build an object file
src/common/format.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/format.c.o
.PHONY : src/common/format.c.o

src/common/format.i: src/common/format.c.i
.PHONY : src/common/format.i

# target to preprocess a source file
src/common/format.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/format.c.i
.PHONY : src/common/format.c.i

src/common/format.s: src/common/format.c.s
.PHONY : src/common/format.s

# target to generate assembly for a file
src/common/format.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/format.c.s
.PHONY : src/common/format.c.s

src/common/init.o: src/common/init.c.o
.PHONY : src/common/init.o

# target to build an object file
src/common/init.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/libfastfetch.dir/build.make CMakeFiles/libfastfetch.dir/src/common/init.c.o
.PHONY : src/common/init.c.o

src/common/init.i: src/common/init.c.i

=== build/CMakeFiles/_CMakeLTOTest-C/bin/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-C/src

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-C/bin

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@echo "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@echo "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-C/bin/CMakeFiles /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-C/bin//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-C/bin/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named foo

# Build rule for target.
foo: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 foo
.PHONY : foo

# fast build rule for target.
foo/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/build
.PHONY : foo/fast

#=============================================================================
# Target rules for targets named boo

# Build rule for target.
boo: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 boo
.PHONY : boo

# fast build rule for target.
boo/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/build
.PHONY : boo/fast

foo.o: foo.c.o
.PHONY : foo.o

# target to build an object file
foo.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/foo.c.o
.PHONY : foo.c.o

foo.i: foo.c.i
.PHONY : foo.i

# target to preprocess a source file
foo.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/foo.c.i
.PHONY : foo.c.i

foo.s: foo.c.s
.PHONY : foo.s

# target to generate assembly for a file
foo.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/foo.c.s
.PHONY : foo.c.s

main.o: main.c.o
.PHONY : main.o

# target to build an object file
main.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/main.c.o
.PHONY : main.c.o

main.i: main.c.i
.PHONY : main.i

# target to preprocess a source file
main.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/main.c.i
.PHONY : main.c.i

main.s: main.c.s
.PHONY : main.s

# target to generate assembly for a file
main.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/main.c.s
.PHONY : main.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... boo"
	@echo "... foo"
	@echo "... foo.o"
	@echo "... foo.i"
	@echo "... foo.s"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build/CMakeFiles/_CMakeLTOTest-C/src/CMakeLists.txt ===
cmake_minimum_required(VERSION "3.25.1")
project("lto-test" LANGUAGES C)

cmake_policy(SET CMP0069 NEW)

add_library(foo foo.c)
add_executable(boo main.c)
target_link_libraries(boo PUBLIC foo)

=== build/CMakeFiles/_CMakeLTOTest-CXX/bin/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-CXX/src

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-CXX/bin

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@echo "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@echo "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-CXX/bin/CMakeFiles /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-CXX/bin//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/schnitzel/ff/fastfetch-2.34.1/build/CMakeFiles/_CMakeLTOTest-CXX/bin/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named foo

# Build rule for target.
foo: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 foo
.PHONY : foo

# fast build rule for target.
foo/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/build
.PHONY : foo/fast

#=============================================================================
# Target rules for targets named boo

# Build rule for target.
boo: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 boo
.PHONY : boo

# fast build rule for target.
boo/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/build
.PHONY : boo/fast

foo.o: foo.cpp.o
.PHONY : foo.o

# target to build an object file
foo.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/foo.cpp.o
.PHONY : foo.cpp.o

foo.i: foo.cpp.i
.PHONY : foo.i

# target to preprocess a source file
foo.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/foo.cpp.i
.PHONY : foo.cpp.i

foo.s: foo.cpp.s
.PHONY : foo.s

# target to generate assembly for a file
foo.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/foo.dir/build.make CMakeFiles/foo.dir/foo.cpp.s
.PHONY : foo.cpp.s

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/boo.dir/build.make CMakeFiles/boo.dir/main.cpp.s
.PHONY : main.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... boo"
	@echo "... foo"
	@echo "... foo.o"
	@echo "... foo.i"
	@echo "... foo.s"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build/CMakeFiles/_CMakeLTOTest-CXX/src/CMakeLists.txt ===
cmake_minimum_required(VERSION "3.25.1")
project("lto-test" LANGUAGES CXX)

cmake_policy(SET CMP0069 NEW)

add_library(foo foo.cpp)
add_executable(boo main.cpp)
target_link_libraries(boo PUBLIC foo)

=== debian/changelog ===
fastfetch (2.34.1-1~guideos1) unstable; urgency=medium

  * Implementation for GuideOS

 -- Actionschnitzel <actionschnitzel@guideos.de>  Mon, 20 Jan 2025 12:09:19 +0100

fastfetch (2.34.1) jammy; urgency=medium

  * Update to 2.34.1

 -- Carter Li <zhangsongcui@live.cn>  Mon, 13 Jan 2025 16:06:22 +0800

fastfetch (2.34.0) jammy; urgency=medium

  * Update to 2.34.0

 -- Carter Li <zhangsongcui@live.cn>  Thu, 09 Jan 2025 09:03:17 +0800

fastfetch (2.33.0) jammy; urgency=medium

  * Update to 2.33.0

 -- Carter Li <zhangsongcui@live.cn>  Thu, 26 Dec 2024 09:42:27 +0800

fastfetch (2.32.0) jammy; urgency=medium

  * Update to 2.32.0

 -- Carter Li <zhangsongcui@live.cn>  Wed, 18 Dec 2024 10:39:06 +0800

fastfetch (2.31.0) jammy; urgency=medium

  * Update to 2.31.0

 -- Carter Li <zhangsongcui@live.cn>  Wed, 04 Dec 2024 08:41:40 +0800

fastfetch (2.30.1) jammy; urgency=medium

  * Update to 2.30.1

 -- Carter Li <zhangsongcui@live.cn>  Mon, 18 Nov 2024 15:40:48 +0800

fastfetch (2.30.0) jammy; urgency=medium

  * Update to 2.30.0

 -- Carter Li <zhangsongcui@live.cn>  Mon, 18 Nov 2024 09:30:58 +0800

fastfetch (2.29.0) jammy; urgency=medium

  * Update to 2.29.0

 -- Carter Li <zhangsongcui@live.cn>  Mon, 04 Nov 2024 15:05:02 +0800

fastfetch (2.28.0) jammy; urgency=medium

  * Update to 2.28.0

 -- Carter Li <zhangsongcui@live.cn>  Wed, 23 Oct 2024 10:18:59 +0800

fastfetch (2.27.1) jammy; urgency=medium

  * Update to 2.27.1

 -- Carter Li <zhangsongcui@live.cn>  Sun, 06 Oct 2024 12:55:18 +0800

fastfetch (2.26.1ubuntu1) jammy; urgency=medium

  * Update correct code

 -- Carter Li <zhangsongcui@live.cn>  Mon, 30 Sep 2024 00:21:20 +0800

fastfetch (2.26.1) jammy; urgency=medium

  * Update to 2.26.1

 -- Carter Li <zhangsongcui@live.cn>  Sun, 29 Sep 2024 16:15:31 +0800

fastfetch (2.26.0) jammy; urgency=medium

  * Update to 2.26.0

 -- Carter Li <zhangsongcui@live.cn>  Sun, 29 Sep 2024 13:31:25 +0800

fastfetch (2.25.0) jammy; urgency=medium

  * Update to 2.25.0

 -- Carter Li <zhangsongcui@live.cn>  Thu, 19 Sep 2024 10:28:38 +0800

fastfetch (2.24.0) jammy; urgency=medium

  * Update to 2.24.0

 -- Carter Li <zhangsongcui@live.cn>  Wed, 11 Sep 2024 13:50:02 +0800

fastfetch (2.23.0) jammy; urgency=medium

  * Update to 2.23.0

 -- Carter Li <zhangsongcui@live.cn>  Tue, 03 Sep 2024 18:44:11 +0800

fastfetch (2.22.0) jammy; urgency=medium

  * Update to 2.22.0

 -- Carter Li <zhangsongcui@live.cn>  Mon, 26 Aug 2024 18:53:35 +0800

fastfetch (2.21.3) jammy; urgency=medium

  * Update to 2.21.3

 -- Carter Li <zhangsongcui@live.cn>  Thu, 15 Aug 2024 16:14:52 +0800

fastfetch (2.21.2) jammy; urgency=medium

  * Update to 2.21.2

 -- Carter Li <zhangsongcui@live.cn>  Wed, 14 Aug 2024 14:42:07 +0800

fastfetch (2.21.1) jammy; urgency=medium

  * Update to 2.21.1

 -- Carter Li <zhangsongcui@live.cn>  Fri, 09 Aug 2024 14:27:10 +0800

fastfetch (2.21.0) jammy; urgency=medium

  * Update to 2.21.0

 -- Carter Li <zhangsongcui@live.cn>  Mon, 05 Aug 2024 14:35:43 +0800

fastfetch (2.20.0) jammy; urgency=medium

  * Update to 2.20.0

 -- Carter Li <zhangsongcui@live.cn>  Fri, 26 Jul 2024 14:02:50 +0800

fastfetch (2.19.1) jammy; urgency=medium

  * Update to 2.19.1

 -- Carter Li <zhangsongcui@live.cn>  Tue, 23 Jul 2024 10:25:14 +0800

fastfetch (2.19.0) jammy; urgency=medium

  * Update to 2.19.0

 -- Carter Li <zhangsongcui@live.cn>  Mon, 22 Jul 2024 14:17:55 +0800

fastfetch (2.18.1) jammy; urgency=medium

  * Update to 2.18.1

 -- Carter Li <zhangsongcui@live.cn>  Thu, 11 Jul 2024 14:32:15 +0800

fastfetch (2.18.0) jammy; urgency=medium

  * Update to 2.18.0

 -- Carter Li <zhangsongcui@live.cn>  Wed, 10 Jul 2024 16:46:32 +0800

fastfetch (2.17.2) jammy; urgency=medium

  * Update to 2.17.2

 -- Carter Li <zhangsongcui@live.cn>  Thu, 04 Jul 2024 10:22:44 +0800

fastfetch (2.17.1) jammy; urgency=medium

  * Update to 2.17.1

 -- Carter Li <zhangsongcui@live.cn>  Mon, 01 Jul 2024 08:56:29 +0800

fastfetch (2.17.0) jammy; urgency=medium

  * Update to 2.17.0

 -- Carter Li <zhangsongcui@live.cn>  Fri, 28 Jun 2024 13:43:18 +0800

fastfetch (2.16.0) jammy; urgency=medium

  * Update to 2.16.0

 -- Carter Li <zhangsongcui@live.cn>  Wed, 19 Jun 2024 14:53:43 +0800

fastfetch (2.15.0) jammy; urgency=medium

  * Update to 2.15.0

 -- Carter Li <zhangsongcui@live.cn>  Fri, 07 Jun 2024 13:52:43 +0800

fastfetch (2.14.0) jammy; urgency=medium

  * Update to 2.14.0

 -- Carter Li <zhangsongcui@live.cn>  Thu, 30 May 2024 14:27:54 +0800

fastfetch (2.13.2) jammy; urgency=medium

  * Update to 2.13.2

 -- Carter Li <zhangsongcui@live.cn>  Fri, 24 May 2024 13:48:59 +0800

fastfetch (2.13.1) jammy; urgency=medium

  * Update to 2.13.1

 -- Carter Li <zhangsongcui@live.cn>  Tue, 21 May 2024 15:10:37 +0800

fastfetch (2.12.0) jammy; urgency=medium

  * Update to 2.12.0

 -- Carter Li <zhangsongcui@live.cn>  Tue, 14 May 2024 16:33:33 +0800

fastfetch (2.11.5) jammy; urgency=medium

  * Update to 2.11.5

 -- Carter Li <zhangsongcui@live.cn>  Tue, 07 May 2024 09:30:05 +0800

fastfetch (2.11.3) jammy; urgency=medium

  * Update to 2.11.3

 -- Carter Li <zhangsongcui@live.cn>  Mon, 06 May 2024 08:46:45 +0800

fastfetch (2.10.2) jammy; urgency=medium

  * Update to 2.10.2

 -- Carter Li <zhangsongcui@live.cn>  Tue, 23 Apr 2024 15:18:23 +0800

fastfetch (2.10.1) jammy; urgency=medium

  * Update to 2.10.1

 -- Carter Li <zhangsongcui@live.cn>  Tue, 23 Apr 2024 09:55:02 +0800

fastfetch (2.9.2) jammy; urgency=medium

  * Update to 2.9.2

 -- Carter Li <zhangsongcui@live.cn>  Tue, 16 Apr 2024 16:32:40 +0800

fastfetch (2.9.1) jammy; urgency=medium

  * Update to 2.9.1

 -- Carter Li <zhangsongcui@live.cn>  Mon, 08 Apr 2024 09:34:30 +0800

fastfetch (2.8.10) jammy; urgency=medium

  * Update to 2.8.10

 -- Carter Li <zhangsongcui@live.cn>  Mon, 25 Mar 2024 15:01:53 +0800

fastfetch (2.8.9) jammy; urgency=medium

  * Update to 2.8.9

 -- Carter Li <zhangsongcui@live.cn>  Fri, 15 Mar 2024 10:49:42 +0800



=== debian/control ===
Source: fastfetch
Section: universe/utils
Priority: optional
Maintainer: Carter Li <zhangsongcui@live.cn>
Build-Depends: libvulkan-dev, libwayland-dev, libxrandr-dev, libxcb-randr0-dev, libdconf-dev, libdbus-1-dev, libmagickcore-dev, libjpeg62-turbo-dev, libtiff-dev, libdjvulibre-dev, libgdk-pixbuf-2.0-dev, libxfconf-0-dev, libsqlite3-dev, librpm-dev, libegl-dev, libglx-dev, libosmesa6-dev, ocl-icd-opencl-dev, libpulse-dev, libdrm-dev, libddcutil-dev, libchafa-dev, directx-headers-dev, pkgconf, cmake (>= 3.12), debhelper (>= 11.2), dh-cmake, dh-cmake-compat (= 1), dh-sequence-cmake, dh-sequence-ctest, ninja-build
Standards-Version: 4.0.0
Homepage: https://github.com/fastfetch-cli/fastfetch

Package: fastfetch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fastfetch is a neofetch-like tool for fetching system information and displaying them in a pretty way.
 It is written mainly in C, with performance and customizability in mind.

## fastfetch 2.35.0+dfsg

=== debian/changelog ===
fastfetch (2.35.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.35.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Thu, 06 Feb 2025 17:20:31 -0300

## fastfetch 2.36.1+dfsg

=== debian/changelog ===
fastfetch (2.36.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.36.1+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Tue, 11 Feb 2025 14:15:22 -0300

## fastfetch 2.38.0+dfsg

=== debian/changelog ===
fastfetch (2.38.0+dfsg-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining change:
    - Add a neofetch wrapper. This can be dropped after the next LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 20:55:14 -0500

fastfetch (2.38.0+dfsg-1) unstable; urgency=medium

  [ Hiago De Franco ]
  * New upstream version 2.38.0+dfsg

  [ Maytham Alsudany ]
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Hiago De Franco <hiagofranco@gmail.com>  Fri, 28 Feb 2025 16:05:26 -0300

fastfetch (2.36.1+dfsg-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining change:
    - Add a neofetch wrapper. This can be dropped after the next LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 18:02:25 -0600

fastfetch (2.35.0+dfsg-1ubuntu2) plucky; urgency=medium

  * Ensure neofetch-wrapper is executable.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Feb 2025 14:09:09 -0600

fastfetch (2.35.0+dfsg-1ubuntu1) plucky; urgency=medium

  * Add a neofetch wrapper. This can be dropped after the next LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 23:49:16 -0600

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytham@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 directx-headers-dev,
 libchafa-dev,
 libdbus-1-dev,
 libdconf-dev,
 libddcutil-dev,
 libdrm-dev,
 libegl-dev,
 libglx-dev,
 libmagickcore-dev,
 libnm-dev,
 libosmesa6-dev,
 libpulse-dev,
 librpm-dev,
 libsqlite3-dev,
 libvulkan-dev,
 libwayland-dev,
 libxcb-randr0-dev,
 libxfconf-0-dev,
 libxrandr-dev,
 libyyjson-dev,
 ocl-icd-opencl-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Provides: neofetch
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSET_TWEAK=OFF \
        -DBUILD_TESTS=ON \
        -DENABLE_PROPRIETARY_GPU_DRIVER_API=OFF \
        -DENABLE_SYSTEM_YYJSON=ON \
		-DINSTALL_LICENSE=OFF \
		-DBUILD_FLASHFETCH=OFF

override_dh_auto_install:
	dh_auto_install
	mkdir -pv debian/fastfetch/usr/lib/fastfetch/
	cp debian/neofetch-wrapper debian/fastfetch/usr/lib/fastfetch/neofetch-wrapper
